View Issue Details

IDProjectCategoryView StatusLast Update
0000576ScribusBuild Systempublic2005-08-26 19:23
ReporterplinnellAssigned Toringerc 
PrioritylowSeverityfeatureReproducibilityalways
Status closedResolutionwon't fix 
Platformx86/PCOSWindows + CygwinOS Version
Product Version1.2.3cvs 
Target VersionFixed in Version 
Summary0000576: Cygwin Patches
DescriptionInstructions and patches for Cygwin Builds
Additional InformationTHIS INFORMATION IS VERY OBSOLETE. SO ARE THE TWO PATCHES FOR ltdl.

How to apply the patch:

1. Checkout cvs head ( I have done this on wednesday)
2. Enter scribus root dir and rename admin dir to _admin
3. unpack scribus_libltdl.tar.bz2 with tar -xjf .../scribus_libltdl.tar.bz2
4. apply patch patch -p0 .../scribus_libltdl.patch
5. run Make -f Makefile.dist
6. run CXXFLAGS="-fdata-sections" CFLAGS="-fdata-sections"
LDFLAGS="-Wl,--enable-runtime-pseudo-reloc" ./configure --prefix=/opt/qt
7. run make
8. run make install
9. export PATH=/opt/qt/bin:$PATH (Important step: otherwise the plugins and
about box could not be loaded, for cygwin i put this line
into /etc/profile.d/scribus.sh)
10 run scribus
  
What the patch does:
cygwin does not allow undefined symbols in shared libs so the unix
dynamic-export feature does not work. To avoid this, i have packaged all
scribus source files except main.cpp into one shared lib named libscribus.
The scribus application and all plugins link to this library.

I have checked the patched build system and application with cygwin and suse
linux 8.2 with only one problem on cygwin (art_rgb_affine_run() in
art_rgb_affine_private.c has to be declared static, because the used
libart_lgpl 2.3.16 release already supports this symbol)

If you have any question, let me know.
TagsNo tags attached.
Patch

Relationships

related to 0000015 closedjghali Windows Port 

Activities

2004-05-02 14:37

 

scribus_libltdl.patch (35,137 bytes)
? libltdl
Index: Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/Scribus/Makefile.am,v
retrieving revision 1.2
diff -u -b -B -r1.2 Makefile.am
--- Makefile.am	14 Feb 2004 12:15:53 -0000	1.2
+++ Makefile.am	1 Apr 2004 10:21:02 -0000
@@ -1,6 +1,6 @@
 ####### kdevelop will overwrite this part!!! (begin)##########
 
-SUBDIRS = scribus 
+SUBDIRS = libltdl scribus
 
 EXTRA_DIST = AUTHORS COPYING ChangeLog INSTALL README TODO scribus.lsm scribus.desktop 
 
@@ -15,8 +15,8 @@
 $(top_srcdir)/subdirs:
 	cd $(top_srcdir) && $(MAKE) -f admin/Makefile.common subdirs
 
-$(top_srcdir)/acinclude.m4: $(top_srcdir)/admin/acinclude.m4.in $(top_srcdir)/admin/libtool.m4.in
-	@cd $(top_srcdir) && cat admin/acinclude.m4.in admin/libtool.m4.in > acinclude.m4
+$(top_srcdir)/acinclude.m4: $(top_srcdir)/admin/acinclude.m4.in $(top_srcdir)/admin/libtool.m4.in $(top_srcdir)/libltdl/ltdl.m4
+	@cd $(top_srcdir) && cat admin/acinclude.m4.in admin/libtool.m4.in libltdl/ltdl.m4 > acinclude.m4
 
 MAINTAINERCLEANFILES = subdirs configure.in acinclude.m4 configure.files 
 
Index: config.h.in
===================================================================
RCS file: /usr/local/cvsroot/Scribus/config.h.in,v
retrieving revision 1.6
diff -u -b -B -r1.6 config.h.in
--- config.h.in	10 Nov 2003 10:37:42 -0000	1.6
+++ config.h.in	1 Apr 2004 10:21:02 -0000
@@ -6,24 +6,57 @@
 /* Debug Messages */
 #undef DEBUG
 
+/* Define to 1 if you have the `bcopy' function. */
+#undef HAVE_BCOPY
+
 /* ColorManagement */
 #undef HAVE_CMS
 
+/* Define if you have the CoreAudio API */
+#undef HAVE_COREAUDIO
+
+/* Define to 1 if you have the <crt_externs.h> header file. */
+#undef HAVE_CRT_EXTERNS_H
+
 /* Defines if your system has the crypt function */
 #undef HAVE_CRYPT
 
+/* Define to 1 if you have the <ctype.h> header file. */
+#undef HAVE_CTYPE_H
+
 /* Cups */
 #undef HAVE_CUPS
 
+/* Define if you have the GNU dld library. */
+#undef HAVE_DLD
+
+/* Define to 1 if you have the <dld.h> header file. */
+#undef HAVE_DLD_H
+
+/* Define to 1 if you have the `dlerror' function. */
+#undef HAVE_DLERROR
+
+/* Define to 1 if you have the <dlfcn.h> header file. */
+#undef HAVE_DLFCN_H
+
+/* Define to 1 if you have the <dl.h> header file. */
+#undef HAVE_DL_H
+
 /* Defines if your system has the libfreetype library */
 #undef HAVE_FREETYPE
 
+/* Define to 1 if you have the `index' function. */
+#undef HAVE_INDEX
+
 /* Define to 1 if you have the <inttypes.h> header file. */
 #undef HAVE_INTTYPES_H
 
 /* Defines if your system has the libart library */
 #undef HAVE_LIBART
 
+/* Define if you have the libdl library or equivalent. */
+#undef HAVE_LIBDL
+
 /* Define if you have libjpeg */
 #undef HAVE_LIBJPEG
 
@@ -36,12 +69,20 @@
 /* Define if you have libz */
 #undef HAVE_LIBZ
 
+/* Define to 1 if you have the <malloc.h> header file. */
+#undef HAVE_MALLOC_H
+
+/* Define to 1 if you have the `memcpy' function. */
+#undef HAVE_MEMCPY
+
 /* Define to 1 if you have the <memory.h> header file. */
 #undef HAVE_MEMORY_H
 
-/* Define to 1 if you have the <pthread/linuxthreads/pthread.h> header file.
-   */
-#undef HAVE_PTHREAD_LINUXTHREADS_PTHREAD_H
+/* Define if your system needs _NSGetEnviron to set up the environment */
+#undef HAVE_NSGETENVIRON
+
+/* Define if libtool can extract symbol lists from object files. */
+#undef HAVE_PRELOADED_SYMBOLS
 
 /* Define if you have the development files for python */
 #undef HAVE_PYTHON
@@ -52,35 +93,88 @@
 /* Define if you have the res_init function */
 #undef HAVE_RES_INIT
 
+/* Define to 1 if you have the `rindex' function. */
+#undef HAVE_RINDEX
+
+/* Define if you have the shl_load function. */
+#undef HAVE_SHL_LOAD
+
+/* Define to 1 if you have the `snprintf' function. */
+#undef HAVE_SNPRINTF
+
 /* Define to 1 if you have the <stdint.h> header file. */
 #undef HAVE_STDINT_H
 
+/* Define to 1 if you have the <stdio.h> header file. */
+#undef HAVE_STDIO_H
+
 /* Define to 1 if you have the <stdlib.h> header file. */
 #undef HAVE_STDLIB_H
 
+/* Define to 1 if you have the `strchr' function. */
+#undef HAVE_STRCHR
+
+/* Define to 1 if you have the `strcmp' function. */
+#undef HAVE_STRCMP
+
 /* Define to 1 if you have the <strings.h> header file. */
 #undef HAVE_STRINGS_H
 
 /* Define to 1 if you have the <string.h> header file. */
 #undef HAVE_STRING_H
 
+/* Define if you have strlcat */
+#undef HAVE_STRLCAT
+
+/* Define if you have the strlcat prototype */
+#undef HAVE_STRLCAT_PROTO
+
+/* Define if you have strlcpy */
+#undef HAVE_STRLCPY
+
+/* Define if you have the strlcpy prototype */
+#undef HAVE_STRLCPY_PROTO
+
+/* Define to 1 if you have the `strrchr' function. */
+#undef HAVE_STRRCHR
+
 /* Define to 1 if you have the <sys/stat.h> header file. */
 #undef HAVE_SYS_STAT_H
 
 /* Define to 1 if you have the <sys/types.h> header file. */
 #undef HAVE_SYS_TYPES_H
 
-/* C++ compiler supports template repository */
-#undef HAVE_TEMPLATE_REPOSITORY
-
 /* Tifflib */
 #undef HAVE_TIFF
 
 /* Define to 1 if you have the <unistd.h> header file. */
 #undef HAVE_UNISTD_H
 
-/* Define if you want Xinerama support */
-#undef HAVE_XINERAMA
+/* Define to 1 if you have the `vsnprintf' function. */
+#undef HAVE_VSNPRINTF
+
+/* Suffix for lib directories */
+#undef KDELIBSUFF
+
+/* Define if the OS needs help to load dependent libraries for dlopen(). */
+#undef LTDL_DLOPEN_DEPLIBS
+
+/* Define to the sub-directory in which libtool stores uninstalled libraries.
+   */
+#undef LTDL_OBJDIR
+
+/* Define to the name of the environment variable that determines the dynamic
+   library search path. */
+#undef LTDL_SHLIBPATH_VAR
+
+/* Define to the extension used for shared libraries, say, ".so". */
+#undef LTDL_SHLIB_EXT
+
+/* Define to the system default library search path. */
+#undef LTDL_SYSSEARCHPATH
+
+/* Define if dlsym() requires a leading underscode in symbol names. */
+#undef NEED_USCORE
 
 /* Name of package */
 #undef PACKAGE
@@ -103,9 +197,6 @@
 /* Dataprefix */
 #undef PREL
 
-/* The size of a `char', as computed by sizeof. */
-#undef SIZEOF_CHAR
-
 /* The size of a `char *', as computed by sizeof. */
 #undef SIZEOF_CHAR_P
 
@@ -115,6 +206,15 @@
 /* The size of a `long', as computed by sizeof. */
 #undef SIZEOF_LONG
 
+/* The size of a `short', as computed by sizeof. */
+#undef SIZEOF_SHORT
+
+/* The size of a `size_t', as computed by sizeof. */
+#undef SIZEOF_SIZE_T
+
+/* The size of a `unsigned long', as computed by sizeof. */
+#undef SIZEOF_UNSIGNED_LONG
+
 /* Define to 1 if you have the ANSI C header files. */
 #undef STDC_HEADERS
 
@@ -124,6 +224,88 @@
 /* Define to 1 if your processor stores words with the most significant byte
    first (like Motorola and SPARC, unlike Intel and VAX). */
 #undef WORDS_BIGENDIAN
+
+/*
+ * jpeg.h needs HAVE_BOOLEAN, when the system uses boolean in system
+ * headers and I'm too lazy to write a configure test as long as only
+ * unixware is related
+ */
+#ifdef _UNIXWARE
+#define HAVE_BOOLEAN
+#endif
+
+
+
+/*
+ * AIX defines FD_SET in terms of bzero, but fails to include <strings.h>
+ * that defines bzero.
+ */
+
+#if defined(_AIX)
+#include <strings.h>
+#endif
+
+
+
+#if defined(HAVE_NSGETENVIRON) && defined(HAVE_CRT_EXTERNS_H)
+# include <sys/time.h>
+# include <crt_externs.h>
+# define environ (*_NSGetEnviron())
+#endif
+
+
+
+#if !defined(HAVE_STRLCAT_PROTO)
+#ifdef __cplusplus
+extern "C" {
+#endif
+unsigned long strlcat(char*, const char*, unsigned long);
+#ifdef __cplusplus
+}
+#endif
+#endif
+
+
+
+#if !defined(HAVE_STRLCPY_PROTO)
+#ifdef __cplusplus
+extern "C" {
+#endif
+unsigned long strlcpy(char*, const char*, unsigned long);
+#ifdef __cplusplus
+}
+#endif
+#endif
+
+
+
+/*
+ * On HP-UX, the declaration of vsnprintf() is needed every time !
+ */
+
+#if !defined(HAVE_VSNPRINTF) || defined(hpux)
+#if __STDC__
+#include <stdarg.h>
+#include <stdlib.h>
+#else
+#include <varargs.h>
+#endif
+#ifdef __cplusplus
+extern "C"
+#endif
+int vsnprintf(char *str, size_t n, char const *fmt, va_list ap);
+#ifdef __cplusplus
+extern "C"
+#endif
+int snprintf(char *str, size_t n, char const *fmt, ...);
+#endif
+
+
+
+#if defined(__SVR4) && !defined(__svr4__)
+#define __svr4__ 1
+#endif
+
 
 /* Compatibility define */
 #undef ksize_t
Index: configure.in
===================================================================
RCS file: /usr/local/cvsroot/Scribus/configure.in,v
retrieving revision 1.27
diff -u -b -B -r1.27 configure.in
--- configure.in	7 Mar 2004 16:55:48 -0000	1.27
+++ configure.in	1 Apr 2004 10:21:02 -0000
@@ -121,9 +121,18 @@
 AC_DEFINE_UNQUOTED(PREL, "$prefix", [Dataprefix])
 dnl Checks for programs.
 AC_CHECK_COMPILERS
+
+AC_LIBLTDL_CONVENIENCE
 AC_ENABLE_SHARED(yes)
 AC_ENABLE_STATIC(no)
 KDE_PROG_LIBTOOL
+
+AC_LANG_SAVE
+AC_LANG_C
+KDE_LIB_LTDL
+AC_LANG_RESTORE
+
+KDE_USE_QT(3.1)
 hapy=no
 hapython=yes
 KDE_CHECK_PYTHON(1.5)
@@ -175,6 +184,8 @@
 AC_CONFIG_FILES([scribus/dicts/Makefile])
 AC_CONFIG_FILES([scribus/qm/Makefile])
 AC_CONFIG_FILES([scribus/po/Makefile])
+AC_CONFIG_FILES([libltdl/Makefile])
+
 AC_OUTPUT
 echo "Configuration Summary:"
 echo ""
Index: scribus.desktop
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus.desktop,v
retrieving revision 1.3
diff -u -b -B -r1.3 scribus.desktop
--- scribus.desktop	1 Mar 2004 23:44:31 -0000	1.3
+++ scribus.desktop	1 Apr 2004 10:21:02 -0000
@@ -45,6 +45,7 @@
 GenericName[zh_TW]=桌面出版
 GenericName[zu]=Ukushicilelwa kwe-Desktop
 Exec=scribus %f
+Icon=/usr/lib/scribus/icons/scribusicon.png
 MimeType=scd,scd.gz,sla,sla.gz
 Terminal=false
 Icon=scribusicon.png
Index: scribus/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/Makefile.am,v
retrieving revision 1.26
diff -u -b -B -r1.26 Makefile.am
--- scribus/Makefile.am	29 Mar 2004 22:00:51 -0000	1.26
+++ scribus/Makefile.am	1 Apr 2004 10:21:02 -0000
@@ -1,11 +1,31 @@
 bin_PROGRAMS = scribus
+scribus_SOURCES = main.cpp
+scribus_LDADD = libscribus.la
+
+lib_LTLIBRARIES= libscribus.la
+libscribus_la_SOURCES = art_kmisc.c art_render_misc.c art_render_pattern.c art_rgb.c \
+	art_rgb_affine_private.c art_rgb_svp.c art_rgba_affine.c gdk-pixbuf-xlib-drawable.c \
+	gdk-pixbuf-xlib-render.c gdk-pixbuf-xlib.c gdk-pixbuf-xlibrgb.c pageselector.cpp shadebutton.cpp \
+	alignselect.cpp styleselect.cpp search.cpp tabmanager.cpp fparser.cpp autoform.cpp story.cpp \
+	vgradient.cpp scpainter.cpp fontcombo.cpp scpreview.cpp lineformats.cpp multiline.cpp splash.cpp \
+	mergedoc.cpp bookpalette.cpp rc4.c md5.c cupsoptions.cpp guidemanager.cpp hyphenator.cpp hyphen.c \
+	hyask.cpp hnjalloc.c hysettings.cpp fpointarray.cpp fpoint.cpp annota.cpp buttonicon.cpp \
+	javadocs.cpp selfield.cpp editor.cpp page.cpp polyprops.cpp mpalette.cpp werktoolb.cpp \
+	keymanager.cpp annot.cpp bookmwin.cpp cmsprefs.cpp customfdialog.cpp picsearch.cpp picstatus.cpp \
+	newtemp.cpp applytemplate.cpp scfonts_ttf.cpp scrap.cpp scfonts.cpp frameedit.cpp spalette.cpp \
+	edit1format.cpp editformats.cpp druck.cpp colorchart.cpp util.cpp cmykcolor.cpp cmykfw.cpp \
+	linecombo.cpp linkbutton.cpp helpbrowser.cpp mspinbox.cpp movepage.cpp delpages.cpp inspage.cpp \
+	tree.cpp missing.cpp fontprefs.cpp fmitem.cpp align.cpp serializer.cpp reformdoc.cpp docinfo.cpp \
+	mdup.cpp cpalette.cpp dcolor.cpp query.cpp colorm.cpp vruler.cpp hruler.cpp pageback.cpp \
+	pageitem.cpp newfile.cpp scribuswin.cpp navigator.cpp pdfopts.cpp seiten.cpp layers.cpp \
+	muster.cpp scribusXml.cpp scribusview.cpp scribusdoc.cpp scribus.cpp  insertTable.cpp
+libscribus_la_LDFLAGS = $(all_libraries) -lpthread
+libscribus_la_LIBADD  = $(LIBJPEG) $(LIBART_LIBS) $(LIBFREETYPE_LIBS) $(LIBCUPS) $(LIBLCMS) $(LIBDL) $(LIBDL2) $(LIBTIFF) -lm $(LIB_QT) -lXext -lX11 $(LIBSOCKET) ../libltdl/libltdlc.la
 
-scribus_SOURCES = art_kmisc.c art_render_misc.c art_render_pattern.c art_rgb.c art_rgb_affine_private.c art_rgb_svp.c art_rgba_affine.c gdk-pixbuf-xlib-drawable.c gdk-pixbuf-xlib-render.c gdk-pixbuf-xlib.c gdk-pixbuf-xlibrgb.c insertTable.cpp pageselector.cpp shadebutton.cpp alignselect.cpp styleselect.cpp search.cpp tabmanager.cpp fparser.cpp autoform.cpp story.cpp vgradient.cpp scpainter.cpp fontcombo.cpp scpreview.cpp lineformats.cpp multiline.cpp splash.cpp mergedoc.cpp bookpalette.cpp rc4.c md5.c cupsoptions.cpp guidemanager.cpp scribuswin.cpp hyphenator.cpp hyphen.c hyask.cpp hnjalloc.c hysettings.cpp seiten.cpp fpointarray.cpp fpoint.cpp annota.cpp buttonicon.cpp javadocs.cpp selfield.cpp editor.cpp page.cpp layers.cpp polyprops.cpp mpalette.cpp werktoolb.cpp keymanager.cpp navigator.cpp annot.cpp bookmwin.cpp cmsprefs.cpp customfdialog.cpp picsearch.cpp picstatus.cpp newtemp.cpp applytemplate.cpp muster.cpp scfonts_ttf.cpp scrap.cpp scfonts.cpp frameedit.cpp spalette.cpp edit1format.cpp editformats.cpp druck.cpp colorchart.cpp util.cpp cmykcolor.cpp cmykfw.cpp scribusXml.cpp linecombo.cpp linkbutton.cpp helpbrowser.cpp mspinbox.cpp movepage.cpp delpages.cpp inspage.cpp pdfopts.cpp tree.cpp missing.cpp fontprefs.cpp fmitem.cpp align.cpp serializer.cpp reformdoc.cpp docinfo.cpp mdup.cpp cpalette.cpp dcolor.cpp query.cpp colorm.cpp vruler.cpp hruler.cpp pageback.cpp pageitem.cpp newfile.cpp scribusview.cpp scribusdoc.cpp scribus.cpp main.cpp 
-SOURCES = art_kmisc.c art_render_misc.c art_render_pattern.c art_rgb.c art_rgb_affine_private.c art_rgb_svp.c art_rgba_affine.c gdk-pixbuf-xlib-drawable.c gdk-pixbuf-xlib-render.c gdk-pixbuf-xlib.c gdk-pixbuf-xlibrgb.c insertTable.cpp pageselector.cpp shadebutton.cpp alignselect.cpp styleselect.cpp search.cpp tabmanager.cpp fparser.cpp autoform.cpp story.cpp vgradient.cpp scpainter.cpp libpdf/pdflib.cpp libpostscript/pslib.cpp plugins/libchar/charselect.cpp libprefs/prefs.cpp libabout/about.cpp fontcombo.cpp scpreview.cpp lineformats.cpp multiline.cpp splash.cpp mergedoc.cpp bookpalette.cpp rc4.c md5.c cupsoptions.cpp guidemanager.cpp scribuswin.cpp hyphenator.cpp hyphen.c hyask.cpp hnjalloc.c hysettings.cpp seiten.cpp fpointarray.cpp fpoint.cpp annota.cpp buttonicon.cpp javadocs.cpp selfield.cpp editor.cpp page.cpp layers.cpp polyprops.cpp mpalette.cpp werktoolb.cpp keymanager.cpp navigator.cpp annot.cpp bookmwin.cpp cmsprefs.cpp customfdialog.cpp picsearch.cpp picstatus.cpp newtemp.cpp applytemplate.cpp muster.cpp scfonts_ttf.cpp scrap.cpp scfonts.cpp frameedit.cpp spalette.cpp edit1format.cpp editformats.cpp druck.cpp colorchart.cpp util.cpp cmykcolor.cpp cmykfw.cpp scribusXml.cpp linecombo.cpp linkbutton.cpp helpbrowser.cpp mspinbox.cpp movepage.cpp delpages.cpp inspage.cpp pdfopts.cpp tree.cpp missing.cpp fontprefs.cpp fmitem.cpp align.cpp serializer.cpp reformdoc.cpp docinfo.cpp mdup.cpp cpalette.cpp dcolor.cpp query.cpp colorm.cpp vruler.cpp hruler.cpp pageback.cpp pageitem.cpp newfile.cpp scribusview.cpp scribusdoc.cpp scribus.cpp main.cpp 
 INTERFACES = 
 TRANSLATIONS = 
 
-SUBDIRS = icons libabout libprefs plugins libpostscript libpdf profiles dicts po qm 
+SUBDIRS = . icons libabout libprefs plugins libpostscript libpdf profiles dicts po qm 
 
 EXTRA_DIST = main.cpp scribus.cpp scribus.h scribusdoc.cpp scribusdoc.h scribusview.cpp scribusview.h newfile.h newfile.cpp pageitem.cpp pageitem.h pageback.cpp pageback.h hruler.cpp hruler.h vruler.cpp vruler.h colorm.cpp colorm.h query.cpp query.h dcolor.cpp dcolor.h cpalette.cpp cpalette.h mdup.cpp mdup.h docinfo.cpp docinfo.h reformdoc.cpp reformdoc.h serializer.cpp serializer.h align.cpp align.h fmitem.cpp fmitem.h fontprefs.cpp fontprefs.h missing.cpp missing.h tree.cpp tree.h pdfopts.cpp pdfopts.h inspage.cpp inspage.h delpages.cpp delpages.h movepage.cpp movepage.h mspinbox.cpp mspinbox.h helpbrowser.cpp helpbrowser.h icons5.h linkbutton.cpp linkbutton.h icons6.h linecombo.cpp linecombo.h scribusXml.cpp scribusXml.h cmykfw.cpp cmykfw.h cmykcolor.cpp cmykcolor.h util.cpp colorchart.cpp colorchart.h druck.cpp druck.h editformats.cpp editformats.h edit1format.cpp edit1format.h spalette.cpp spalette.h frameedit.cpp frameedit.h scfonts.cpp scfonts.h scrap.cpp scrap.h scfonts_ttf.cpp scfonts_ttf.h muster.cpp muster.h applytemplate.cpp applytemplate.h newtemp.cpp newtemp.h picstatus.cpp picstatus.h picsearch.cpp picsearch.h customfdialog.cpp customfdialog.h cmsprefs.cpp cmsprefs.h bookmwin.cpp bookmwin.h annot.cpp annot.h navigator.cpp navigator.h keymanager.cpp keymanager.h werktoolb.cpp werktoolb.h mpalette.h mpalette.cpp polyprops.cpp polyprops.h layers.cpp layers.h page.cpp page.h editor.cpp editor.h selfield.cpp selfield.h javadocs.cpp javadocs.h buttonicon.cpp buttonicon.h annota.cpp annota.h fpoint.cpp fpoint.h fpointarray.cpp fpointarray.h seiten.cpp seiten.h hysettings.cpp hysettings.h hnjalloc.c hnjalloc.h hyask.cpp hyask.h hyphen.c hyphen.h hyphenator.cpp hyphenator.h scribuswin.cpp scribuswin.h guidemanager.cpp guidemanager.h cupsoptions.cpp cupsoptions.h md5.c md5.h rc4.c rc4.h mergedoc.cpp mergedoc.h bookpalette.cpp bookpalette.h splash.h fontcombo.h scpainter.cpp scpainter.h vgradient.cpp vgradient.h story.cpp story.h autoform.cpp autoform.h fparser.cpp fparser.h tabmanager.cpp tabmanager.h search.cpp search.h styleselect.cpp styleselect.h alignselect.cpp alignselect.h shadebutton.cpp shadebutton.h pageselector.cpp pageselector.h insertTable.cpp insertTable.h art_kmisc.c art_kmisc.h art_render_misc.c art_render_misc.h art_render_pattern.c art_render_pattern.h art_rgb.c art_rgb.h art_rgb_affine_private.c art_rgb_affine_private.h art_rgb_svp.c art_rgb_svp.h art_rgba_affine.c art_rgba_affine.h gdk-pixbuf-xlib-drawable.c gdk-pixbuf-xlib-private.h gdk-pixbuf-xlib-render.c gdk-pixbuf-xlib.c gdk-pixbuf-xlib.h gdk-pixbuf-xlibrgb.c gdk-pixbuf-xlibrgb.h rgbscribus.txt rgbscribusgreys.txt rgbscribusgnome.txt rgbsvg.txt 
 
@@ -154,8 +174,7 @@
 	-rm -f $(prefix)/include/scribus/vgradient.h
 	-rm -f $(prefix)/include/scribus/pageselector.h
 
-scribus_LDADD  = $(LIBJPEG) $(LIBART_LIBS) $(LIBFREETYPE_LIBS) $(LIBCUPS) $(LIBLCMS) $(LIBDL) $(LIBDL2) $(LIBTIFF) -lm $(LIB_QT) -lXext -lX11 $(LIBSOCKET)
-AM_LDFLAGS =   -export-dynamic -s
+AM_LDFLAGS = #-export-dynamic -s
 # set the include path for X, qt and KDE
 INCLUDES= $(LIBART_CFLAGS) $(LIBFREETYPE_CFLAGS) $(all_includes)
 
Index: scribus/hyphen.c
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/hyphen.c,v
retrieving revision 1.2
diff -u -b -B -r1.2 hyphen.c
--- scribus/hyphen.c	23 Feb 2004 22:18:05 -0000	1.2
+++ scribus/hyphen.c	1 Apr 2004 10:21:02 -0000
@@ -327,14 +327,14 @@
   for (i = 0; i < HASH_SIZE; i++)
     for (e = hashtab->entries[i]; e; e = e->next)
       {
-//	for (j = 1; 1; j++)
+/*	for (j = 1; 1; j++) */
 	for (j = 1; *(e->key); j++)
 	  {
 	    state_num = hnj_hash_lookup (hashtab, e->key + j);
 	    if (state_num >= 0)
 	      break;
 	  }
-        // KBH: FIXME state 0 fallback_state should always be -1?
+        /* KBH: FIXME state 0 fallback_state should always be -1? */
 	if (e->val) 
 	  dict->states[e->val].fallback_state = state_num;
       }
@@ -421,8 +421,8 @@
 	{
 
 	  if (state == -1) {
-            // return 1;
-	    // KBH: FIXME shouldn't this be as follows?
+            /* return 1; */
+	    /* KBH: FIXME shouldn't this be as follows? */
             state = 0;
             goto try_next_letter;
           }          
@@ -471,9 +471,9 @@
 	      hyphens[offset + k] = match[k];
 	}
 
-      // KBH: we need this to make sure we keep looking in a word
-      // for patterns even if the current character is not known in state 0
-      // since patterns for hyphenation may occur anywhere in the word
+      /* KBH: we need this to make sure we keep looking in a word
+         for patterns even if the current character is not known in state 0
+         since patterns for hyphenation may occur anywhere in the word */
       try_next_letter: ;
 
     }
Index: scribus/scribus.cpp
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/scribus.cpp,v
retrieving revision 1.134
diff -u -b -B -r1.134 scribus.cpp
--- scribus/scribus.cpp	30 Mar 2004 21:52:32 -0000	1.134
+++ scribus/scribus.cpp	1 Apr 2004 10:21:03 -0000
@@ -144,6 +144,7 @@
 	ScApp = this;
   setCaption( tr("Scribus " VERSION));
 	setKeyCompression(false);
+	lt_dlinit();
   setIcon(loadIcon("AppIcon.png"));
   initMenuBar();
   initStatusBar();
@@ -3793,34 +3794,30 @@
 
 void ScribusApp::slotHelpAbout()
 {
-	void *mo;
+	lt_dlhandle mo;
 	const char *error;
 	typedef About* (*sdem)(QWidget *d);
 	sdem demo;
 	QString pfad = PREL;
-#if defined(__hpux)
-  pfad += "/lib/scribus/libs/libabout.sl";
-#else
-	pfad += "/lib/scribus/libs/libabout.so";
-#endif
-	mo = dlopen(pfad, RTLD_LAZY);
+	pfad += "/lib/scribus/libs/libabout.la";
+	mo = lt_dlopen(pfad);
 	if (!mo)
 		{
 		std::cout << "Can't find Plug-in" << endl;
 		return;
 		}
-	dlerror();
-	demo = (sdem)dlsym(mo, "Run");
-	if ((error = dlerror()) != NULL)
+	lt_dlerror();
+	demo = (sdem)lt_dlsym(mo, "Run");
+	if ((error = lt_dlerror()) != NULL)
 		{
 		std::cout << "Can't find Symbol" << endl;
-		dlclose(mo);
+		lt_dlclose(mo);
 		return;
 		}
 	About* dia = (*demo)(this);
 	dia->exec();
 	delete dia;
-	dlclose(mo);
+	lt_dlclose(mo);
 }
 
 void ScribusApp::slotHelpAboutQt()
@@ -5696,29 +5693,25 @@
 
 void ScribusApp::slotPrefsOrg()
 {
-	void *mo;
-	char *error;
+	lt_dlhandle mo;
+	const char *error;
 	bool zChange = false;
 	typedef Preferences* (*sdem)(QWidget *d, preV *Vor);
 	sdem demo;
 	QString pfad = PREL;
-#if defined(__hpux)
-	pfad += "/lib/scribus/libs/libpreferences.sl";
-#else
-	pfad += "/lib/scribus/libs/libpreferences.so";
-#endif
-	mo = dlopen(pfad, RTLD_LAZY);
+	pfad += "/lib/scribus/libs/libpreferences.la";
+	mo = lt_dlopen(pfad);
 	if (!mo)
 		{
 		std::cout << "Can't find Plug-in" << endl;
 		return;
 		}
-	dlerror();
-	demo = (sdem)dlsym(mo, "Run");
-	if ((error = dlerror()) != NULL)
+	lt_dlerror();
+	demo = (sdem)lt_dlsym(mo, "Run");
+	if ((error = lt_dlerror()) != NULL)
 		{
 		std::cout << "Can't find Symbol" << endl;
-		dlclose(mo);
+		lt_dlclose(mo);
 		return;
 		}
 	Preferences *dia = (*demo)(this, &Prefs);
@@ -5999,7 +5992,7 @@
 		SavePrefs();
 		}
 	delete dia;
-	dlclose(mo);
+	lt_dlclose(mo);
 }
 
 void ScribusApp::SavePrefs()
@@ -6148,23 +6141,19 @@
 	typedef PSLib* (*sdem)(bool psart, SCFonts &AllFonts, QMap<QString,QFont> DocFonts, CListe DocColors, bool pdf);
 	sdem demo;
 	QString pfad = PREL;
-#if defined(__hpux)
-	pfad += "/lib/scribus/libs/libpostscript.sl";
-#else
-	pfad += "/lib/scribus/libs/libpostscript.so";
-#endif
-	PSDriver = dlopen(pfad, RTLD_LAZY);
+	pfad += "/lib/scribus/libs/libpostscript.la";
+	PSDriver = lt_dlopen(pfad);
 	if (!PSDriver)
 		{
 		std::cout << "Can't find Plugin" << endl;
 		return NULL;
 		}
-	dlerror();
-	demo = (sdem)dlsym(PSDriver, "Run");
-	if ((error = dlerror()) != NULL)
+	lt_dlerror();
+	demo = (sdem)lt_dlsym(PSDriver, "Run");
+	if ((error = lt_dlerror()) != NULL)
 		{
 		std::cout << "Can't find Symbol" << endl;
-		dlclose(PSDriver);
+		lt_dlclose(PSDriver);
 		return NULL;
 		}
 	PSLib *dia = (*demo)(psart, AllFonts, DocFonts, DocColors, pdf);
@@ -6173,38 +6162,35 @@
 
 void ScribusApp::closePSDriver()
 {
-	dlclose(PSDriver);
+	lt_dlclose(PSDriver);
 }
 
 bool ScribusApp::getPDFDriver(QString fn, QString nam, int Components, int frPa, int toPa, QMap<int,QPixmap> thumbs)
 {
 	bool ret = false;
-	char *error;
-	void *PDFDriver;
+	const char *error;
+	lt_dlhandle PDFDriver;
 	typedef bool (*sdem)(ScribusApp *plug, QString fn, QString nam, int Components, int frPa, int toPa, QMap<int,QPixmap> thumbs, QProgressBar *dia2);
 	sdem demo;
 	QString pfad = PREL;
-#if defined(__hpux)
-  pfad += "/lib/scribus/libs/libpdf.sl";
-#else
-	pfad += "/lib/scribus/libs/libpdf.so";
-#endif
-	PDFDriver = dlopen(pfad, RTLD_NOW);
+	pfad += "/lib/scribus/libs/libpdf.la";
+
+	PDFDriver = lt_dlopen(pfad);
 	if (!PDFDriver)
 		{
 		std::cout << "Can't find Plugin" << endl;
 		return false;
 		}
-	dlerror();
-	demo = (sdem)dlsym(PDFDriver, "Run");
-	if ((error = dlerror()) != NULL)
+	lt_dlerror();
+	demo = (sdem)lt_dlsym(PDFDriver, "Run");
+	if ((error = lt_dlerror()) != NULL)
 		{
 		std::cout << "Can't find Symbol" << endl;
-		dlclose(PDFDriver);
+		lt_dlclose(PDFDriver);
 		return false;
 		}
 	ret = (*demo)(this, fn, nam, Components, frPa, toPa, thumbs, FProg);
-	dlclose(PDFDriver);
+	lt_dlclose(PDFDriver);
 	return ret;
 }
 
@@ -6811,11 +6797,11 @@
 		{
 		if (it.data().Typ == 4)
 			{
-			dlerror();
-			demo2 = (sdem2)dlsym(it.data().Zeiger, "CleanUpPlug");
-			if ((error = dlerror()) != NULL)
+			lt_dlerror();
+			demo2 = (sdem2)lt_dlsym(it.data().Zeiger, "CleanUpPlug");
+			if ((error = lt_dlerror()) != NULL)
 				{
-				dlclose(it.data().Zeiger);
+				lt_dlclose(it.data().Zeiger);
 				continue;
 				}
 			else
@@ -6833,11 +6819,8 @@
 	int ty = 0;
 	struct PlugData pda;
 	pfad += "/lib/scribus/plugins/";
-#if defined(__hpux)
-	QDir d(pfad, "*.sl*", QDir::Name, QDir::Files | QDir::Executable | QDir::NoSymLinks);
-#else
-	QDir d(pfad, "*.so*", QDir::Name, QDir::Files | QDir::Executable | QDir::NoSymLinks);
-#endif
+	QDir d(pfad, "*.la*", QDir::Name, QDir::Files | QDir::Executable | QDir::NoSymLinks);
+
 	if ((d.exists()) && (d.count() != 0))
 		{
 		extraMenu->insertSeparator();
@@ -6871,7 +6854,7 @@
 
 void ScribusApp::CallDLL(QString name)
 {
-	void *mo;
+	lt_dlhandle mo;
 	const char *error;
 	struct PlugData pda;
 	pda = PluginMap[name];
@@ -6881,7 +6864,7 @@
 	if (pda.Typ != 4)
 		{
 		pfad += "/lib/scribus/plugins/" + pda.Datei;
-		mo = dlopen(pfad, RTLD_LAZY | RTLD_GLOBAL);
+		mo = lt_dlopen(pfad);
 		if (!mo)
 			{
 			std::cout << "Can't find Plug-in" << endl;
@@ -6890,24 +6873,24 @@
 		}
 	else
 		mo = pda.Zeiger;
-	dlerror();
-	demo = (sdem)dlsym(mo, "Run");
-	if ((error = dlerror()) != NULL)
+	lt_dlerror();
+	demo = (sdem)lt_dlsym(mo, "Run");
+	if ((error = lt_dlerror()) != NULL)
 		{
 		std::cout << "Can't find Symbol" << endl;
-		dlclose(mo);
+		lt_dlclose(mo);
 		return;
 		}
 	(*demo)(this, this);
 	if (pda.Typ != 4)
-		dlclose(mo);
+		lt_dlclose(mo);
 	if (HaveDoc)
 	 	doc->ActPage->update();
 }
 
-bool ScribusApp::DLLName(QString name, QString *PName, int *typ, void **Zeig)
+bool ScribusApp::DLLName(QString name, QString *PName, int *typ, lt_dlhandle *Zeig)
 {
-	void *mo;
+	lt_dlhandle mo;
 	const char *error;
 	typedef QString (*sdem0)();
 	typedef int (*sdem1)();
@@ -6917,35 +6900,35 @@
 	sdem2 demo2;
 	QString pfad = PREL;
 	pfad += "/lib/scribus/plugins/" + name;
-	mo = dlopen(pfad, RTLD_LAZY | RTLD_GLOBAL);
+	mo = lt_dlopen(pfad);
 	if (!mo)
 		return false;
-	dlerror();
-	demo = (sdem0)dlsym(mo, "Name");
-	if ((error = dlerror()) != NULL)
+	lt_dlerror();
+	demo = (sdem0)lt_dlsym(mo, "Name");
+	if ((error = lt_dlerror()) != NULL)
 		{
-		dlclose(mo);
+		lt_dlclose(mo);
 		return false;
 		}
 	*PName = (*demo)();
-	dlerror();
-	demo1 = (sdem1)dlsym(mo, "Type");
-	if ((error = dlerror()) != NULL)
+	lt_dlerror();
+	demo1 = (sdem1)lt_dlsym(mo, "Type");
+	if ((error = lt_dlerror()) != NULL)
 		{
-		dlclose(mo);
+		lt_dlclose(mo);
 		return false;
 		}
 	*typ = (*demo1)();
 	*Zeig = mo;
 	if (*typ != 4)
-		dlclose(mo);
+		lt_dlclose(mo);
 	else
 		{
-		dlerror();
-		demo2 = (sdem2)dlsym(mo, "InitPlug");
-		if ((error = dlerror()) != NULL)
+		lt_dlerror();
+		demo2 = (sdem2)lt_dlsym(mo, "InitPlug");
+		if ((error = lt_dlerror()) != NULL)
 			{
-			dlclose(mo);
+			lt_dlclose(mo);
 			return false;
 			}
 		(*demo2)(this, this);
Index: scribus/scribus.h
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/scribus.h,v
retrieving revision 1.38
diff -u -b -B -r1.38 scribus.h
--- scribus/scribus.h	14 Mar 2004 21:59:27 -0000	1.38
+++ scribus/scribus.h	1 Apr 2004 10:21:03 -0000
@@ -44,6 +44,8 @@
 #include <qptrlist.h>
 #include <qclipboard.h>
 
+#include "../libltdl/ltdl.h"
+
 // application specific includes
 #include "scribusview.h"
 #include "scribusdoc.h"
@@ -101,7 +103,7 @@
 	void InitPlugs(SplashScreen *spl);
 	void InitHyphenator();
 	void FinalizePlugs();
-	bool DLLName(QString name, QString *PName, int *typ, void **Zeig);
+	bool DLLName(QString name, QString *PName, int *typ, lt_dlhandle *Zeig);
 	void CallDLL(QString name);
 	PSLib* getPSDriver(bool psart, SCFonts &AllFonts, QMap<QString,QFont> DocFonts, CListe DocColors, bool pdf);
 	void closePSDriver();
@@ -534,12 +536,12 @@
 	double pts2mm(double pts);
 	QMap<int,QString> FontID;
 	int HaveGS;
-	void *PSDriver;
+	lt_dlhandle PSDriver;
 	int DocNr;
 	QStringList RecentDocs;
 	struct PlugData { 
 						QString Datei;
-					  	void *Zeiger;
+					  	lt_dlhandle Zeiger;
 					  	int Typ;
 					} ;
 	QMap<QString, PlugData> PluginMap;
Index: scribus/libabout/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/libabout/Makefile.am,v
retrieving revision 1.2
diff -u -b -B -r1.2 Makefile.am
--- scribus/libabout/Makefile.am	1 Oct 2003 20:39:09 -0000	1.2
+++ scribus/libabout/Makefile.am	1 Apr 2004 10:21:03 -0000
@@ -3,7 +3,7 @@
 
 INCLUDES = $(LIBFREETYPE_CFLAGS) $(all_includes)
 
-libabout_la_LDFLAGS = -version-info 0:0:0
+libabout_la_LDFLAGS = -version-info 0:0:0 ../libscribus.la
 
 libabout_la_METASOURCES = AUTO
 
Index: scribus/libpdf/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/libpdf/Makefile.am,v
retrieving revision 1.3
diff -u -b -B -r1.3 Makefile.am
--- scribus/libpdf/Makefile.am	3 Nov 2003 15:03:49 -0000	1.3
+++ scribus/libpdf/Makefile.am	1 Apr 2004 10:21:03 -0000
@@ -5,7 +5,7 @@
 INCLUDES = $(LIBFREETYPE_CFLAGS) $(all_includes)
 
 
-libpdf_la_LDFLAGS = -version-info 0:0:0
+libpdf_la_LDFLAGS = -version-info 0:0:0 ../libscribus.la $(LIBTIFF)
 
 libpdf_la_METASOURCES = AUTO
 
Index: scribus/libpostscript/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/libpostscript/Makefile.am,v
retrieving revision 1.3
diff -u -b -B -r1.3 Makefile.am
--- scribus/libpostscript/Makefile.am	3 Nov 2003 15:03:49 -0000	1.3
+++ scribus/libpostscript/Makefile.am	1 Apr 2004 10:21:03 -0000
@@ -4,7 +4,7 @@
 
 INCLUDES = $(LIBFREETYPE_CFLAGS) $(all_includes)
 
-libpostscript_la_LDFLAGS = -version-info 0:0:0
+libpostscript_la_LDFLAGS = -version-info 0:0:0 ../libscribus.la
 
 libpostscript_la_METASOURCES = AUTO
 
Index: scribus/libprefs/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/libprefs/Makefile.am,v
retrieving revision 1.2
diff -u -b -B -r1.2 Makefile.am
--- scribus/libprefs/Makefile.am	1 Oct 2003 20:39:10 -0000	1.2
+++ scribus/libprefs/Makefile.am	1 Apr 2004 10:21:03 -0000
@@ -4,7 +4,7 @@
 
 INCLUDES = $(LIBFREETYPE_CFLAGS) $(all_includes)
 
-libpreferences_la_LDFLAGS = -version-info 0:0:0
+libpreferences_la_LDFLAGS = -version-info 0:0:0 ../libscribus.la
 
 libpreferences_la_METASOURCES = AUTO
 
Index: scribus/plugins/libchar/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/plugins/libchar/Makefile.am,v
retrieving revision 1.2
diff -u -b -B -r1.2 Makefile.am
--- scribus/plugins/libchar/Makefile.am	1 Oct 2003 20:39:10 -0000	1.2
+++ scribus/plugins/libchar/Makefile.am	1 Apr 2004 10:21:03 -0000
@@ -4,7 +4,7 @@
 
 INCLUDES = $(LIBFREETYPE_CFLAGS) $(all_includes)
 
-libcharselect_la_LDFLAGS = -version-info 0:0:0
+libcharselect_la_LDFLAGS = -version-info 0:0:0 ../../libscribus.la
 
 libcharselect_la_METASOURCES = AUTO
 
Index: scribus/plugins/printpreview/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/plugins/printpreview/Makefile.am,v
retrieving revision 1.2
diff -u -b -B -r1.2 Makefile.am
--- scribus/plugins/printpreview/Makefile.am	1 Oct 2003 20:39:10 -0000	1.2
+++ scribus/plugins/printpreview/Makefile.am	1 Apr 2004 10:21:03 -0000
@@ -4,7 +4,7 @@
 
 INCLUDES = $(LIBFREETYPE_CFLAGS) $(all_includes)
 
-libpreview_la_LDFLAGS = -version-info 0:0:0
+libpreview_la_LDFLAGS = -version-info 0:0:0 ../../libscribus.la
 
 libpreview_la_METASOURCES = AUTO
 
Index: scribus/plugins/scriptplugin/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/plugins/scriptplugin/Makefile.am,v
retrieving revision 1.5
diff -u -b -B -r1.5 Makefile.am
--- scribus/plugins/scriptplugin/Makefile.am	7 Mar 2004 15:52:11 -0000	1.5
+++ scribus/plugins/scriptplugin/Makefile.am	1 Apr 2004 10:21:03 -0000
@@ -3,7 +3,7 @@
 AM_CPPFLAGS = -I$(top_builddir)/scribus $(PYTHONINC)
 plugins_LTLIBRARIES = libscriptplugin.la
 INCLUDES = $(LIBFREETYPE_CFLAGS) $(all_includes)
-libscriptplugin_la_LDFLAGS = -version-info 0:0:0
+libscriptplugin_la_LDFLAGS = -version-info 0:0:0 ../../libscribus.la
 libscriptplugin_la_METASOURCES = AUTO
 libscriptplugin_la_SOURCES = cmdutil.cpp cmddialog.cpp cmddoc.cpp cmdpage.cpp cmdobj.cpp cmdgetprop.cpp cmdsetprop.cpp cmdtext.cpp cmdmani.cpp cmdcolor.cpp cmdmisc.cpp guiapp.cpp conswin.cpp pconsole.cpp scriptplugin.cpp 
 EXTRA_DIST = cmdvar.h cmdutil.cpp cmdutil.h cmddialog.cpp cmddialog.h cmddoc.cpp cmddoc.h cmdpage.cpp cmdpage.h cmdobj.cpp cmdobj.h cmdgetprop.cpp cmdgetprop.h cmdsetprop.cpp cmdsetprop.h cmdtext.cpp cmdtext.h cmdmani.cpp cmdmani.h cmdcolor.cpp cmdcolor.h cmdmisc.cpp cmdmisc.h guiapp.cpp guiapp.h scriptplugin.cpp scriptplugin.h pconsole.cpp pconsole.h conswin.cpp conswin.h 
Index: scribus/plugins/svgexplugin/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/plugins/svgexplugin/Makefile.am,v
retrieving revision 1.2
diff -u -b -B -r1.2 Makefile.am
--- scribus/plugins/svgexplugin/Makefile.am	1 Oct 2003 20:39:10 -0000	1.2
+++ scribus/plugins/svgexplugin/Makefile.am	1 Apr 2004 10:21:03 -0000
@@ -3,7 +3,7 @@
 plugins_LTLIBRARIES = libsvgexplugin.la
 INCLUDES = $(LIBFREETYPE_CFLAGS) $(all_includes)
 AM_LDFLAGS =  -s $(LIBFREETYPE_LIBS)      
-libsvgexplugin_la_LDFLAGS = -version-info 0:0:0
+libsvgexplugin_la_LDFLAGS = -version-info 0:0:0 ../../libscribus.la
 libsvgexplugin_la_METASOURCES = AUTO
 libsvgexplugin_la_SOURCES = svgexplugin.cpp 
 KDE_OPTIONS = qtonly
Index: scribus/plugins/svgimplugin/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/Scribus/scribus/plugins/svgimplugin/Makefile.am,v
retrieving revision 1.1
diff -u -b -B -r1.1 Makefile.am
--- scribus/plugins/svgimplugin/Makefile.am	1 Oct 2003 20:39:10 -0000	1.1
+++ scribus/plugins/svgimplugin/Makefile.am	1 Apr 2004 10:21:03 -0000
@@ -3,7 +3,7 @@
 plugins_LTLIBRARIES = libsvgimplugin.la
 INCLUDES = $(LIBFREETYPE_CFLAGS) $(all_includes)
 AM_LDFLAGS =  -s $(LIBFREETYPE_LIBS)      
-libsvgimplugin_la_LDFLAGS = -version-info 0:0:0
+libsvgimplugin_la_LDFLAGS = -version-info 0:0:0 ../../libscribus.la
 libsvgimplugin_la_METASOURCES = AUTO
 libsvgimplugin_la_SOURCES = svgplugin.cpp 
 KDE_OPTIONS = qtonly
scribus_libltdl.patch (35,137 bytes)

2004-05-02 14:37

 

scribus_libltdl.tar.bz2 (218,219 bytes)

ringerc

2005-06-30 18:03

reporter   ~0005296

I'm reopening this to see if there's anything I can merge, and if not to bring the patches up to date, test them, and update the wiki.

ringerc

2005-07-06 16:21

reporter   ~0005415

Decided to have another go at this after being rather severely put off initially.

I maintain my initial opinion of "ARRRGH, cygwin, ARGGGH". That said, more progress is being made now despite some truly bizarre problems early on.

ringerc

2005-07-06 18:43

reporter   ~0005417

First, I don't think we need ltdl (*phew*). dlopen() works just fine on cygwin, and appears to be the recommended way.

The conversion to a library works OK. I haven't tweaked the Makefiles to do things all that cleanly yet, so currently there's a godawful hack with absolute paths.

It was easy enough to get working in the end that I think it's worth spending some time trying to make the build easier and integrate support. The only likely sticking point is the need to build the core app as a library ... and I think that may well be harmless enough to use in mainline builds. I'd make it configurable, but KDE's automagic moc'ing and uic'ing are too stupid for that, as I discovered when I made pixbuf support optional.

Anyway ... progressing well. See the wiki for early screenshots and some updated build instructions.

I'm attaching a diff from my current tree now. It's horrifying currently - hardcoded paths, etc. This will get fixed; I'm mostly putting it up in case (a) people are crazy enough to want to `sed' the paths in the diff and see how they go and (b) so if something breaks here I don't lose my work.

2005-07-06 18:44

 

scribus13_cygwin_HACKS.diff (21,200 bytes)
? scribus/scribus.exe.stackdump
Index: configure.in.in
===================================================================
RCS file: /cvs/Scribus/configure.in.in,v
retrieving revision 1.1.2.38
diff -u -r1.1.2.38 configure.in.in
--- configure.in.in	5 Jul 2005 07:57:50 -0000	1.1.2.38
+++ configure.in.in	6 Jul 2005 20:38:20 -0000
@@ -120,6 +120,12 @@
 }
 # end libmissing()
 
+if test "${target_os}" = "cygwin"; then
+    # Godawful cygwin hacks
+    CXXFLAGS="-fdata-sections ${CXXFLAGS}"
+    CFLAGS="-fdata-sections ${CFLAGS}"
+    LDFLAGS="-Wl,--enable-runtime-pseudo-reloc,--script,${QTDIR}/mkspecs/cygwin-g++/i386pe.x-no-rdata -L/home/craig/build/scribus123cvs/scribus ${LDFLAGS}"
+fi
 
 LIBART_LIBS=""
 LIBART_CFLAGS=""
Index: scribus/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/Makefile.am,v
retrieving revision 1.37.2.68
diff -u -r1.37.2.68 Makefile.am
--- scribus/Makefile.am	19 Jun 2005 16:48:42 -0000	1.37.2.68
+++ scribus/Makefile.am	6 Jul 2005 20:38:21 -0000
@@ -1,4 +1,5 @@
 bin_PROGRAMS = scribus
+lib_LTLIBRARIES = libscribus.la
 
 if LINK_PIXBUF
 # Use a convenience library for the gdk-pixbuf sources so we can avoid
@@ -9,7 +10,39 @@
 pixbuf_libs = pixbuf/libpixbuf.la
 endif
 
-scribus_SOURCES = \
+scribus_LDADD  = libscribus.la
+
+libscribus_la_LDFLAGS = $(all_libraries) -lpthread
+libscribus_la_LIBADD = $(LIBJPEG) $(LIBART_LIBS) $(LIBFREETYPE_LIBS) \
+	$(LIBFONTCONFIG_LIBS) $(LIBCUPS) $(LIBLCMS) $(LIBDL) $(LIBDL2) $(LIBTIFF) -lm \
+	$(LIB_QT) $(LIB_X11) $(LIBSOCKET) $(pixbuf_libs) $(COREFOUNDATION_LIBS)
+
+AM_LDFLAGS = $(LIBFREETYPE_LIBS)
+# set the include path for X, qt and KDE
+INCLUDES= $(LIBART_CFLAGS) $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS) $(all_includes)
+
+scribus_METASOURCES = AUTO
+
+# the library search path.
+scribus_LDFLAGS = $(all_libraries)
+
+# them while "make clean", use CLEANFILES
+DISTCLEANFILES = $(scribus_METASOURCES)
+# this is to enable Qt behavoir of am_edit
+KDE_OPTIONS = qtonly
+
+AM_CPPFLAGS = \
+    -DDOCDIR=\"$(datadir)/scribus/doc/\" \
+    -DICONDIR=\"$(datadir)/scribus/icons/\" \
+    -DSAMPLESDIR=\"$(datadir)/scribus/samples/\" \
+    -DSCRIPTSDIR=\"$(datadir)/scribus/scripts/\" \
+    -DTEMPLATEDIR=\"$(datadir)/scribus/templates/\" \
+    -DLIBDIR=\"$(libdir)/scribus/\" \
+    -DPLUGINDIR=\"$(libdir)/scribus/plugins/\"
+
+scribus_SOURCES = main.cpp
+
+libscribus_la_SOURCES = \
 		about.cpp\
 		actionmanager.cpp\
 		aligndistribute.cpp\
@@ -172,13 +205,12 @@
 		vruler.cpp\
 		werktoolb.cpp\
 		scribus.cpp\
-		scribusapp.cpp\
-		main.cpp
+		scribusapp.cpp
 
 INTERFACES =
 TRANSLATIONS =
 
-SUBDIRS = $(pixbuf_subdirs) dicts doc icons keysets libpdf libpostscript manpages plugins po profiles qm templates dtd
+SUBDIRS = . $(pixbuf_subdirs) dicts doc icons keysets libpdf libpostscript manpages plugins po profiles qm templates dtd
 
 #     NOTE: `EXTRA_DIST' is *NOT* required. The build system includes all
 #     loose files by default. You only need to use `EXTRA_DIST' when using
@@ -539,27 +571,3 @@
 	-rm -f $(prefix)/include/scribus/vruler.h
 	-rm -f $(prefix)/include/scribus/werktoolb.h
 
-scribus_LDADD  = $(LIBJPEG) $(LIBART_LIBS) $(LIBFREETYPE_LIBS) $(LIBFONTCONFIG_LIBS) $(LIBCUPS) $(LIBLCMS) $(LIBDL) $(LIBDL2) $(LIBTIFF) -lm $(LIB_QT) $(LIB_X11) $(LIBSOCKET) $(pixbuf_libs) $(COREFOUNDATION_LIBS)
-
-AM_LDFLAGS = -export-dynamic $(LIBFREETYPE_LIBS)
-# set the include path for X, qt and KDE
-INCLUDES= $(LIBART_CFLAGS) $(LIBFREETYPE_CFLAGS) $(LIBFONTCONFIG_CFLAGS) $(all_includes)
-
-scribus_METASOURCES = AUTO
-
-# the library search path.
-scribus_LDFLAGS = $(all_libraries)
-
-# them while "make clean", use CLEANFILES
-DISTCLEANFILES = $(scribus_METASOURCES)
-# this is to enable Qt behavoir of am_edit
-KDE_OPTIONS = qtonly
-
-AM_CPPFLAGS = \
-    -DDOCDIR=\"$(datadir)/scribus/doc/\" \
-    -DICONDIR=\"$(datadir)/scribus/icons/\" \
-    -DSAMPLESDIR=\"$(datadir)/scribus/samples/\" \
-    -DSCRIPTSDIR=\"$(datadir)/scribus/scripts/\" \
-    -DTEMPLATEDIR=\"$(datadir)/scribus/templates/\" \
-    -DLIBDIR=\"$(libdir)/scribus/\" \
-    -DPLUGINDIR=\"$(libdir)/scribus/plugins/\"
Index: scribus/main.cpp
===================================================================
RCS file: /cvs/Scribus/scribus/main.cpp,v
retrieving revision 1.16.2.19
diff -u -r1.16.2.19 main.cpp
--- scribus/main.cpp	5 Jul 2005 06:36:03 -0000	1.16.2.19
+++ scribus/main.cpp	6 Jul 2005 20:38:21 -0000
@@ -35,9 +35,9 @@
 void initCrashHandler();
 static void defaultCrashHandler(int sig);
 
-ScribusApp* ScApp;
-ScribusQApp* ScQApp;
-bool emergencyActivated;
+extern ScribusApp* ScApp;
+extern ScribusQApp* ScQApp;
+extern bool emergencyActivated;
 
 int main(int argc, char *argv[])
 {
Index: scribus/scribusapp.cpp
===================================================================
RCS file: /cvs/Scribus/scribus/Attic/scribusapp.cpp,v
retrieving revision 1.1.2.6
diff -u -r1.1.2.6 scribusapp.cpp
--- scribus/scribusapp.cpp	30 Jun 2005 19:37:17 -0000	1.1.2.6
+++ scribus/scribusapp.cpp	6 Jul 2005 20:38:36 -0000
@@ -32,6 +32,8 @@
 #include "prefsfile.h"
 #include "langmgr.h"
 
+#include "scribusapp.moc"
+
 #define ARG_VERSION "--version"
 #define ARG_HELP "--help"
 #define ARG_LANG "--lang"
@@ -53,8 +55,9 @@
 // Qt wants -display not --display or -d
 #define ARG_DISPLAY_QT "-display"
 
-extern ScribusApp* ScApp;
-extern ScribusQApp* ScQApp;
+ScribusApp* ScApp;
+ScribusQApp* ScQApp;
+bool emergencyActivated;
 
 bool ScribusQApp::useGUI=false;
 
Index: scribus/libpdf/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/libpdf/Makefile.am,v
retrieving revision 1.4.2.4
diff -u -r1.4.2.4 Makefile.am
--- scribus/libpdf/Makefile.am	21 Apr 2005 13:32:17 -0000	1.4.2.4
+++ scribus/libpdf/Makefile.am	6 Jul 2005 20:38:40 -0000
@@ -20,7 +20,7 @@
 uninstall-local:
 	-rm -f $(prefix)/include/scribus/libpdf/pdflib.h
 
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)  $(LIBTIFF) $(LIBJPEG) /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/libpostscript/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/libpostscript/Makefile.am,v
retrieving revision 1.4.2.4
diff -u -r1.4.2.4 Makefile.am
--- scribus/libpostscript/Makefile.am	21 Apr 2005 13:32:17 -0000	1.4.2.4
+++ scribus/libpostscript/Makefile.am	6 Jul 2005 20:38:40 -0000
@@ -19,7 +19,7 @@
 uninstall-local:
 	-rm -f $(prefix)/include/scribus/libpostscript/pslib.h
 
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) $(LIBTIFF) $(LIBJPEG) /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/colorwheel/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/colorwheel/Attic/Makefile.am,v
retrieving revision 1.1.2.2
diff -u -r1.1.2.2 Makefile.am
--- scribus/plugins/colorwheel/Makefile.am	21 Apr 2005 13:32:17 -0000	1.1.2.2
+++ scribus/plugins/colorwheel/Makefile.am	6 Jul 2005 20:38:40 -0000
@@ -11,7 +11,7 @@
 EXTRA_DIST = colorwheel.cpp colorwheel.h colorwheelwidget.cpp colorwheelwidget.h cwdialog.cpp cwdialog.h
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/fileloader/oodraw/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/fileloader/oodraw/Makefile.am,v
retrieving revision 1.1.2.6
diff -u -r1.1.2.6 Makefile.am
--- scribus/plugins/fileloader/oodraw/Makefile.am	21 Apr 2005 13:32:17 -0000	1.1.2.6
+++ scribus/plugins/fileloader/oodraw/Makefile.am	6 Jul 2005 20:38:40 -0000
@@ -13,7 +13,7 @@
 EXTRA_DIST = oodrawimp.cpp oodrawimp.h stylestack.cpp stylestack.h color.h
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)  /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/fontpreview/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/fontpreview/Makefile.am,v
retrieving revision 1.3.2.4
diff -u -r1.3.2.4 Makefile.am
--- scribus/plugins/fontpreview/Makefile.am	21 Apr 2005 13:32:18 -0000	1.3.2.4
+++ scribus/plugins/fontpreview/Makefile.am	6 Jul 2005 20:38:41 -0000
@@ -11,7 +11,7 @@
 EXTRA_DIST = ui.cpp fontpreview.cpp ui.h fontpreview.h
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/gettext/csvim/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/gettext/csvim/Makefile.am,v
retrieving revision 1.2.2.4
diff -u -r1.2.2.4 Makefile.am
--- scribus/plugins/gettext/csvim/Makefile.am	21 Apr 2005 13:32:18 -0000	1.2.2.4
+++ scribus/plugins/gettext/csvim/Makefile.am	6 Jul 2005 20:38:41 -0000
@@ -13,7 +13,7 @@
 EXTRA_DIST = csvdia.cpp csvdia.h csvim.cpp csvim.h  
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)  /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/gettext/htmlim/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/gettext/htmlim/Makefile.am,v
retrieving revision 1.2.2.4
diff -u -r1.2.2.4 Makefile.am
--- scribus/plugins/gettext/htmlim/Makefile.am	21 Apr 2005 13:32:18 -0000	1.2.2.4
+++ scribus/plugins/gettext/htmlim/Makefile.am	6 Jul 2005 20:38:41 -0000
@@ -13,7 +13,7 @@
 EXTRA_DIST = htmlim.cpp htmlim.h htmlreader.cpp htmlreader.h
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(XML_LIBS) $(MODULE_LINK_FLAGS)
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(XML_LIBS) $(MODULE_LINK_FLAGS) /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/gettext/odtim/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/gettext/odtim/Makefile.am,v
retrieving revision 1.1.2.3
diff -u -r1.1.2.3 Makefile.am
--- scribus/plugins/gettext/odtim/Makefile.am	21 Apr 2005 13:32:18 -0000	1.1.2.3
+++ scribus/plugins/gettext/odtim/Makefile.am	6 Jul 2005 20:38:41 -0000
@@ -13,7 +13,7 @@
 EXTRA_DIST = odtim.cpp odtim.h odtdia.cpp odtdia.h stylereader.cpp stylereader.h contentreader.cpp contentreader.h
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(XML_LIBS) $(MODULE_LINK_FLAGS)
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(XML_LIBS) $(MODULE_LINK_FLAGS) /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/gettext/sxwim/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/gettext/sxwim/Makefile.am,v
retrieving revision 1.1.2.6
diff -u -r1.1.2.6 Makefile.am
--- scribus/plugins/gettext/sxwim/Makefile.am	21 Apr 2005 13:32:18 -0000	1.1.2.6
+++ scribus/plugins/gettext/sxwim/Makefile.am	6 Jul 2005 20:38:41 -0000
@@ -13,7 +13,7 @@
 EXTRA_DIST = sxwim.cpp sxwim.h sxwdia.cpp sxwdia.h stylereader.cpp stylereader.h contentreader.cpp contentreader.h
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(XML_LIBS) $(MODULE_LINK_FLAGS)
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(XML_LIBS) $(MODULE_LINK_FLAGS) /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/gettext/textfilter/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/gettext/textfilter/Makefile.am,v
retrieving revision 1.2.2.4
diff -u -r1.2.2.4 Makefile.am
--- scribus/plugins/gettext/textfilter/Makefile.am	21 Apr 2005 13:32:18 -0000	1.2.2.4
+++ scribus/plugins/gettext/textfilter/Makefile.am	6 Jul 2005 20:38:41 -0000
@@ -13,7 +13,7 @@
 EXTRA_DIST = textfilter.cpp textfilter.h tfdia.cpp tfdia.h tffilter.cpp tffilter.h
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)  /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/gettext/txtim/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/gettext/txtim/Makefile.am,v
retrieving revision 1.2.2.4
diff -u -r1.2.2.4 Makefile.am
--- scribus/plugins/gettext/txtim/Makefile.am	21 Apr 2005 13:32:18 -0000	1.2.2.4
+++ scribus/plugins/gettext/txtim/Makefile.am	6 Jul 2005 20:38:41 -0000
@@ -13,7 +13,7 @@
 EXTRA_DIST = txtim.cpp txtim.h  
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)  /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/newfromtemplateplugin/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/newfromtemplateplugin/Makefile.am,v
retrieving revision 1.3.2.4
diff -u -r1.3.2.4 Makefile.am
--- scribus/plugins/newfromtemplateplugin/Makefile.am	21 Apr 2005 13:32:19 -0000	1.3.2.4
+++ scribus/plugins/newfromtemplateplugin/Makefile.am	6 Jul 2005 20:38:41 -0000
@@ -13,7 +13,7 @@
 EXTRA_DIST = nftemplate.cpp nftemplate.h nftdialog.cpp nftdialog.h nftrcreader.cpp nftrcreader.h nftsettings.cpp nftsettings.h nfttemplate.cpp nfttemplate.h
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/pixmapexport/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/pixmapexport/Makefile.am,v
retrieving revision 1.3.2.4
diff -u -r1.3.2.4 Makefile.am
--- scribus/plugins/pixmapexport/Makefile.am	21 Apr 2005 13:32:19 -0000	1.3.2.4
+++ scribus/plugins/pixmapexport/Makefile.am	6 Jul 2005 20:38:41 -0000
@@ -13,7 +13,7 @@
 EXTRA_DIST = dialog.cpp export.cpp dialog.h export.h
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)  /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/printpreview/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/printpreview/Makefile.am,v
retrieving revision 1.3.2.4
diff -u -r1.3.2.4 Makefile.am
--- scribus/plugins/printpreview/Makefile.am	21 Apr 2005 13:32:19 -0000	1.3.2.4
+++ scribus/plugins/printpreview/Makefile.am	6 Jul 2005 20:38:41 -0000
@@ -12,7 +12,7 @@
 
 EXTRA_DIST = preview.cpp preview.h 
 
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)  /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/psimport/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/psimport/Makefile.am,v
retrieving revision 1.2.2.4
diff -u -r1.2.2.4 Makefile.am
--- scribus/plugins/psimport/Makefile.am	21 Apr 2005 13:32:20 -0000	1.2.2.4
+++ scribus/plugins/psimport/Makefile.am	6 Jul 2005 20:38:41 -0000
@@ -20,7 +20,7 @@
 	-rm -f $(libdir)/scribus/import.prolog
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)  /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/saveastemplateplugin/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/saveastemplateplugin/Makefile.am,v
retrieving revision 1.2.2.4
diff -u -r1.2.2.4 Makefile.am
--- scribus/plugins/saveastemplateplugin/Makefile.am	21 Apr 2005 13:32:20 -0000	1.2.2.4
+++ scribus/plugins/saveastemplateplugin/Makefile.am	6 Jul 2005 20:38:42 -0000
@@ -13,7 +13,7 @@
 EXTRA_DIST = satemplate.cpp satemplate.h satdialog.cpp satdialog.h
 
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)  /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/scriptplugin/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/scriptplugin/Makefile.am,v
retrieving revision 1.9.2.15
diff -u -r1.9.2.15 Makefile.am
--- scribus/plugins/scriptplugin/Makefile.am	1 Jul 2005 07:46:04 -0000	1.9.2.15
+++ scribus/plugins/scriptplugin/Makefile.am	6 Jul 2005 20:38:42 -0000
@@ -7,7 +7,7 @@
 libscriptplugin_la_SOURCES = scriptercore.cpp valuedialog.cpp cmdutil.cpp cmddialog.cpp cmddoc.cpp cmdpage.cpp cmdobj.cpp cmdgetprop.cpp cmdsetprop.cpp cmdtext.cpp cmdmani.cpp cmdcolor.cpp cmdmisc.cpp objprinter.cpp objpdffile.cpp guiapp.cpp svgimport.cpp pconsole.cpp scriptplugin.cpp objimageexport.cpp cmdgetsetprop.cpp runscriptdialog.cpp
 EXTRA_DIST = valuedialog.h cmdvar.h cmdutil.cpp cmdutil.h cmddialog.cpp cmddialog.h cmddoc.cpp cmddoc.h cmdpage.cpp cmdpage.h cmdobj.cpp cmdobj.h cmdgetprop.cpp cmdgetprop.h cmdsetprop.cpp cmdsetprop.h cmdtext.cpp cmdtext.h cmdmani.cpp cmdmani.h cmdcolor.cpp cmdcolor.h cmdmisc.cpp cmdmisc.h objprinter.cpp objprinter.h objpdffile.cpp objpdffile.h guiapp.cpp guiapp.h svgimport.cpp svgimport.h scriptplugin.cpp scriptplugin.h pconsole.cpp pconsole.h objimageexport.h cmdgetsetprop.h cmdgetsetprop.cpp scriptercore.h runscriptdialog.h
 KDE_OPTIONS = qtonly
-AM_LDFLAGS = $(PYTHONLIB) $(LIBPYTHON) $(MODULE_LINK_FLAGS)
+AM_LDFLAGS = $(PYTHONLIB) $(LIBPYTHON) $(MODULE_LINK_FLAGS) /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus $(PYTHONINC) \
Index: scribus/plugins/short-words/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/short-words/Makefile.am,v
retrieving revision 1.2.2.8
diff -u -r1.2.2.8 Makefile.am
--- scribus/plugins/short-words/Makefile.am	21 Apr 2005 13:32:20 -0000	1.2.2.8
+++ scribus/plugins/short-words/Makefile.am	6 Jul 2005 20:38:42 -0000
@@ -12,7 +12,7 @@
 
 KDE_OPTIONS = qtonly
 
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 
 AM_CPPFLAGS = \
     -I$(top_builddir)/scribus \
Index: scribus/plugins/svgexplugin/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/svgexplugin/Makefile.am,v
retrieving revision 1.3.2.4
diff -u -r1.3.2.4 Makefile.am
--- scribus/plugins/svgexplugin/Makefile.am	21 Apr 2005 13:32:20 -0000	1.3.2.4
+++ scribus/plugins/svgexplugin/Makefile.am	6 Jul 2005 20:38:42 -0000
@@ -1,7 +1,7 @@
 pluginsdir = $(libdir)/scribus/plugins
 plugins_LTLIBRARIES = libsvgexplugin.la
 INCLUDES = $(LIBFREETYPE_CFLAGS) $(all_includes)
-AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS = $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)  /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 libsvgexplugin_la_LDFLAGS = -version-info 0:0:0
 libsvgexplugin_la_METASOURCES = AUTO
 libsvgexplugin_la_SOURCES = svgexplugin.cpp 
Index: scribus/plugins/svgimplugin/Makefile.am
===================================================================
RCS file: /cvs/Scribus/scribus/plugins/svgimplugin/Makefile.am,v
retrieving revision 1.2.2.4
diff -u -r1.2.2.4 Makefile.am
--- scribus/plugins/svgimplugin/Makefile.am	21 Apr 2005 13:32:20 -0000	1.2.2.4
+++ scribus/plugins/svgimplugin/Makefile.am	6 Jul 2005 20:38:42 -0000
@@ -1,7 +1,7 @@
 pluginsdir = $(libdir)/scribus/plugins
 plugins_LTLIBRARIES = libsvgimplugin.la
 INCLUDES = $(LIBFREETYPE_CFLAGS) $(all_includes)
-AM_LDFLAGS =  $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS) 
+AM_LDFLAGS =  $(LIBFREETYPE_LIBS) $(MODULE_LINK_FLAGS)  /home/Craig/build/scribus13cvs/scribus/libscribus.la -lqt-mt
 libsvgimplugin_la_LDFLAGS = -version-info 0:0:0
 libsvgimplugin_la_METASOURCES = AUTO
 libsvgimplugin_la_SOURCES = svgplugin.cpp 

ringerc

2005-07-06 19:23

reporter   ~0005419

Yep ... plugins work fine pretty much as is. Needed an extra

#if defined(__CYGWIN__)

to set the dll suffix to 'dll'. Cygwin dlls also don't start with `lib' - rather, they use `cyg' - but that's easily handled. Some makefile tweaks will be needed to install the cygwin dlls not just the .dll.a export libraries, but when hand-installed things seem to work fine.

ringerc

2005-07-09 02:57

reporter   ~0005458

Also need to tweak the Makefiles to install the .libs/cygblah-0.dll file, since by default they only install the export library (the libblah.dll.a) and the libtool archive.

ringerc

2005-08-13 05:12

reporter   ~0006099

Given Jean Ghali's progress on the win32 port I'm tempted to close this as wontfix. I'm just not sure it's worth the time of finishing off these patches, and finding a way to provide for the main-app-as-a-lib requirement without disrupting builds for other platforms.

plinnell

2005-08-26 19:23

viewer   ~0006244

i think given the very steady progress on win32, this best closed.

Issue History

Date Modified Username Field Change
2004-05-02 14:37 plinnell New Issue
2004-05-02 14:37 plinnell File Added: scribus_libltdl.patch
2004-05-02 14:37 plinnell File Added: scribus_libltdl.tar.bz2
2004-05-02 14:37 plinnell Status new => assigned
2004-05-02 14:37 plinnell Assigned To => plinnell
2005-05-08 19:54 plinnell Status assigned => resolved
2005-05-08 19:54 plinnell Resolution open => fixed
2005-05-08 19:54 plinnell Description Updated
2005-05-08 19:54 plinnell Additional Information Updated
2005-05-08 19:58 plinnell Status resolved => assigned
2005-05-08 19:58 plinnell Resolution fixed => open
2005-06-30 08:22 plinnell Status assigned => resolved
2005-06-30 08:22 plinnell Resolution open => fixed
2005-06-30 08:22 plinnell Status resolved => closed
2005-06-30 17:56 ringerc Status closed => assigned
2005-06-30 17:56 ringerc Assigned To plinnell => ringerc
2005-06-30 18:03 ringerc Note Added: 0005296
2005-06-30 19:59 cbradney View Status private => public
2005-07-06 16:21 ringerc Note Added: 0005415
2005-07-06 16:24 ringerc Resolution fixed => reopened
2005-07-06 16:24 ringerc Category Integration => Build System
2005-07-06 16:24 ringerc OS => Windows + Cygwin
2005-07-06 16:24 ringerc Platform => x86/PC
2005-07-06 16:24 ringerc Product Version => 1.2.3cvs
2005-07-06 18:43 ringerc Note Added: 0005417
2005-07-06 18:44 ringerc File Added: scribus13_cygwin_HACKS.diff
2005-07-06 19:23 ringerc Note Added: 0005419
2005-07-09 02:57 ringerc Note Added: 0005458
2005-07-11 16:42 ringerc Description Updated
2005-07-11 16:42 ringerc Additional Information Updated
2005-07-15 07:39 ringerc Relationship added related to 0000015
2005-08-13 05:12 ringerc Note Added: 0006099
2005-08-26 19:23 plinnell Note Added: 0006244
2005-08-26 19:23 plinnell Status assigned => closed
2005-08-26 19:23 plinnell Resolution reopened => won't fix